<?php
/**
 * Food Truck Lite: Block Patterns
 *
 * @package Food Truck Lite
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'food-truck-lite',
		array( 'label' => __( 'Food Truck Lite', 'food-truck-lite' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'food-truck-lite/banner-section',
		array(
			'title'      => __( 'Banner Section', 'food-truck-lite' ),
			'categories' => array( 'food-truck-lite' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\",\"id\":186,\"dimRatio\":50,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-186\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h2 class=\"has-text-align-center\" style=\"font-size:40px\"><strong>Lorem Ipsum&nbsp;Dolor Amet.</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center\" style=\"font-size:14px\"><strong>Lorem Ipsum</strong>&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"align\":\"center\"} -->\n<div class=\"wp-block-button aligncenter\"><a class=\"wp-block-button__link has-white-color has-text-color\">Shop Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'food-truck-lite/product-section',
		array(
			'title'      => __( 'Product Section', 'food-truck-lite' ),
			'categories' => array( 'food-truck-lite' ),
			'content'    => "<!-- wp:group {\"className\":\"main-product-box-section py-4\"} -->\n<div class=\"wp-block-group main-product-box-section py-4\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":5,\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#fe5d5d\"}}} -->\n<h5 class=\"has-text-align-center has-text-color\" style=\"color:#fe5d5d;font-size:16px\">Fresh From Pizza</h5>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"28px\"}}} -->\n<h2 class=\"has-text-align-center\" style=\"font-size:28px\">Our Special Menu</h2>\n<!-- /wp:heading -->\n\n<!-- wp:woocommerce/product-category {\"columns\":4,\"rows\":1,\"categories\":[16]} /--></div>\n<!-- /wp:group -->",
		)
	);
}