<?php
//about theme info
add_action( 'admin_menu', 'food_truck_lite_gettingstarted' );
function food_truck_lite_gettingstarted() {    	
	add_theme_page( esc_html__('Get Started', 'food-truck-lite'), esc_html__('Get Started', 'food-truck-lite'), 'edit_theme_options', 'food_truck_lite_guide', 'food_truck_lite_mostrar_guide');   
}

// Add a Custom CSS file to WP Admin Area
function food_truck_lite_admin_theme_style() {
   wp_enqueue_style('custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getting-started/getting-started.css');
}
add_action('admin_enqueue_scripts', 'food_truck_lite_admin_theme_style');

//guidline for about theme
function food_truck_lite_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'food-truck-lite' );
?>
<div class="wrapper-info">
	<div class="col-left">
		<div class="intro">
			<h3><?php esc_html_e( 'Welcome to Food Truck Lite WordPress Theme', 'food-truck-lite' ); ?></h3>
		</div>
		<div class="color_bg_blue">
			<p>Version: <?php echo esc_html($theme['Version']);?></p>
				<p class="intro_version"><?php esc_html_e( 'Congratulations! You are about to use the most easy to use and felxible WordPress theme.', 'food-truck-lite' ); ?></p>
				<div class="blink">
					<h4><?php esc_html_e( 'Theme Created By Themesglance', 'food-truck-lite' ); ?></h4>
				</div>
			<div class="intro-text"><img role="img" src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/themesglance-logo.png" alt="" /></div>
			<div class="coupon-code"><?php esc_html_e( 'Get', 'food-truck-lite' ); ?> <span><?php esc_html_e( '20% off', 'food-truck-lite' ); ?></span> <?php esc_html_e( 'on Premium Theme with the discount code: ', 'food-truck-lite' ); ?> <span><?php esc_html_e( '" Get20 "', 'food-truck-lite' ); ?></span></div>
		</div>
		<div class="started">
			<h3><?php esc_html_e( 'Lite Theme Info', 'food-truck-lite' ); ?></h3>
			<p><?php esc_html_e( 'Establishing a successful online presence for your food truck business will give your loyal customers the most convenient way to be able to get connected and reach out to your menu easily. This Food Truck Lite a powerful tool to execute your business goals in the best way possible. This Theme is designed specifically for fast food, food truck, Food truckers, small food businesses, street restaurants, Street vendors, cafes, pretzel shops, pizza parlor food trucks, doughnut shops, burger joints, food ordering platform websites, and many more related services. Using Food Truck Lite, you can effortlessly design a stunning website with live customizer option. It includes a Responsive Layout that guarantees your website to be all mobile-friendly. With our powerful theme customizer, you can effortlessly change the fonts inside the theme. Included is the Food Menus option. It is SEO-friendly and compatible with all of the most popular SEO plugins as well.', 'food-truck-lite')?></p>
			<hr>
			<h3><?php esc_html_e( 'Help Docs', 'food-truck-lite' ); ?></h3>
			<ul>
				<p><?php esc_html_e( 'Food Truck Lite', 'food-truck-lite' ); ?> <a href="<?php echo esc_url( FOOD_TRUCK_LITE_THEMESGLANCE_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'food-truck-lite' ); ?></a></p>
			</ul>
			<hr>
			<h3><?php esc_html_e( 'Get started with Food Truck Lite Theme', 'food-truck-lite' ); ?></h3>
			<div class="col-left-inner"> 
				<img role="img" src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/free-screenshot.png" alt="" />
			</div>		
			<div class="col-right-inner">
				<p><?php esc_html_e( 'Go to', 'food-truck-lite' ); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizer', 'food-truck-lite' ); ?> </a> <?php esc_html_e( 'and start customizing your website', 'food-truck-lite' ); ?></p>
				<ul>
					<li><?php esc_html_e( 'Easily customizable ', 'food-truck-lite' ); ?> </li>
					<li><?php esc_html_e( 'Absolutely free', 'food-truck-lite' ); ?> </li>
				</ul>
			</div>
		</div>
	</div>
	<div class="col-right">
		<div class="col-left-area">
			<h3><?php esc_html_e('Premium Theme Information', 'food-truck-lite'); ?></h3>
			<hr>
		</div>
		<div class="centerbold">
			<img role="img" src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/responsive.png" alt="" />
			<hr class="firsthr">
			<a href="<?php echo esc_url( FOOD_TRUCK_LITE_THEMESGLANCE_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'food-truck-lite'); ?></a>
			<a href="<?php echo esc_url( FOOD_TRUCK_LITE_THEMESGLANCE_PRO_THEME_URL ); ?>"><?php esc_html_e('Buy Pro', 'food-truck-lite'); ?></a>
			<a href="<?php echo esc_url( FOOD_TRUCK_LITE_THEMESGLANCE_THEME_DOC ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'food-truck-lite'); ?></a>
			<hr class="secondhr">
		</div>
		<h3><?php esc_html_e( 'PREMIUM THEME FEATURES', 'food-truck-lite'); ?></h3>
		<ul>
		 	<li><?php esc_html_e( 'Slider with unlimited slides', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Custom Posttype for "courses" listing', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Custom Posttype for "Events" listing', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Video Section', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Search courses', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Courses categories listing', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Gallery Plugin with shortcode', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Custom Posttype for "Instructor" listing', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Social Icon widget', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Blog Post section on home', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Newsletter with contact form 7', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Woocommerce Product section on home', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Record Section', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Contact widget for footer', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Contact page Template', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Recent Post Widget with thumbnails', 'food-truck-lite'); ?></li>
		 	<li><?php esc_html_e( 'Blog full width, With Left and Right sidebar Template', 'food-truck-lite'); ?></li>
		</ul>
	</div>
	<div class="service">
		<div class="col-lg-3 col-md-3">
			<h3><span class="dashicons dashicons-media-document"></span> <?php esc_html_e('Get Support', 'food-truck-lite'); ?></h3>
			<ol>
				<li>
					<a href="<?php echo esc_url( FOOD_TRUCK_LITE_THEMESGLANCE_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support Forum', 'food-truck-lite'); ?></a>
				</li>
			</ol>
		</div>
		<div class="col-lg-3 col-md-3">
			<h3><span class="dashicons dashicons-welcome-widgets-menus"></span> <?php esc_html_e('Getting Started', 'food-truck-lite'); ?></h3>
			<ol>
				<li> <?php esc_html_e('Start', 'food-truck-lite'); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'food-truck-lite'); ?></a> <?php esc_html_e('your website.', 'food-truck-lite'); ?></li>
			</ol>
		</div>
		<div class="col-lg-3 col-md-3">
			<h3><span class="dashicons dashicons-star-filled"></span> <?php esc_html_e('Rate This Theme', 'food-truck-lite'); ?></h3>
			<ol>
				<li>
					<a href="<?php echo esc_url( FOOD_TRUCK_LITE_THEMESGLANCE_REVIEW ); ?>" target="_blank"><?php esc_html_e('Rate it here', 'food-truck-lite'); ?></a>
				</li>
			</ol>
		</div>
		<div class="col-lg-3 col-md-3">
			<h3><span class="dashicons dashicons-editor-help"></span> <?php esc_html_e( 'Help Docs', 'food-truck-lite' ); ?></h3>
			<ol>
				<li><?php esc_html_e( 'Food Truck Lite Lite', 'food-truck-lite' ); ?> <a href="<?php echo esc_url( FOOD_TRUCK_LITE_THEMESGLANCE_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'food-truck-lite' ); ?></a></li>
			</ol>
		</div>
	</div>
</div>
<?php } ?>